Information on Oracle Java 8 concerning Fabaoft Folio and Fabasoft Mindbreeze.

Last update: 4 August 2017
.responsive-example-table td, .responsive-example-table th { text-align: left!important; }

Information on Oracle Java 8 concerning Fabaoft Folio and Fabasoft Mindbreeze.

Summary

This article provides a quick information concerning Oracle Java 8 in combination with Fabasoft Folio and Fabasoft Mindbreeze. In case of updating your Fabasoft Folio 2013 or 2014 to Update Rollup 6 (13.0.13 respectively 14.0.13) an upgrade to Oracle Java SE Runtime Environment 8 is required. Additionally Fabasoft Mindbreeze has to be upgraded to version 2015.

Java Requirements - Fabasoft Folio

Prior to Fabasoft Folio 2013 and 2014 Update Rollup 6: Oracle Java SE Runtime Environment 7 is required.
Since Fabasoft Folio 2013 and 2014 Update Rollup 6: Oracle Java SE Runtime Environment 8 is now mandatory.

Fabasoft Folio Version Update Rollup Java Version
Fabasoft Folio 2013 Update Rollup 1 - 5 Oracle Java SE Runtime Environment 7
Fabasoft Folio 2013 Update Rollup 6 Oracle Java SE Runtime Environment 8
Fabasoft Folio 2014 Update Rollup 1 - 5 Oracle Java SE Runtime Environment 7
Fabasoft Folio 2014 Update Rollup 6 Oracle Java SE Runtime Environment 8

Java Requirements - Fabasoft Mindbreeze

Mindbreeze Version Java Version
Fabasoft Mindbreeze 2014 Winter Oracle Java SE Runtime Environment 7
Fabasoft Mindbreeze 2014 Spring Oracle Java SE Runtime Environment 7
Fabasoft Mindbreeze 2015 Oracle Java SE Runtime Environment 8

Solution

In order to keep your environments on a SPI compatible state when updating to Fabasoft Folio 2013 Update Rollup 6 or Fabasoft Folio 2014 Update Rollup 6 the following steps are required:
- Update Oracle Java SE Runtime Environment to version 8
- Upgrade your Mindbreeze installation to version 2015 (including Java 8)

Note: Fabasoft Folio versions 2013 and 2014 prior Update Rollup 6 have to use Oracle Java 7. Despite not being officially supported Fabasoft Mindbreeze 2015 may be used with Oracle Java 7.

Further questions?